
\section{Installation}

\subsection{Requirements}

\maphys{} needs some libraries in order to be installed :

\begin{itemize}
  \item A \mpi{} communication library ( {\sc intelMPI} \href{http://www.mpich.org/}{\sc MPICH2}, \href{http://www.open-mpi.org}{\sc OpenMPI}, ...);
  \item A \blas{} and \lapack{} library ( \href{http://software.intel.com/en-us/intel-mkl}\mkl{} of preference)
%**\href{http://c2.com/cgi/wiki?GotoBlas}{\sc GotoBLAS}, \href{http://developer.amd.com/tools-and-sdks/cpu-development/amd-core-math-library-acml/}{\sc ACML}, \href{http://software.intel.com/en-us/intel-mkl}\mkl{}, ....); 
  \item The \href{http://www.labri.fr/perso/pelegrin/scotch/}{\sc Scotch} library for the partitioning of the adjacency graph of the sparse matrix;
  \item The \href{http://mumps.enseeiht.fr/}\mumps or \href{http://pastix.gforge.inria.fr/}\pastix{} library as sparse solver;
  \item Optionnally the \href{http://runtime.bordeaux.inria.fr/hwloc/}\hwloc{}
    library for a better fit with the hardware topology;
  \item The \fabulous library for multiple right hand sides.
\end{itemize}

\subsection{Compilation and installation}

To compile and install \maphys, follow the six following steps :

\begin{itemize}
  \item Install \scotch{} 5.xx or higher;
  \item Install \hwloc{};
  \item Install a direct solver: \mumps{} (4.7 or higher) and/or \pastix ;
  \item Install \fabulous if you want to use multiple right hand sides;
  \item Look at the README instruction to use the CMake installation.
\end{itemize}

To facilitate the installation, we recommend that you take advantage of our
version of the spack library to install directly \maphys and its dependencies
in a simpler way. Follow the instructions given on: \\
\url{http://morse.gforge.inria.fr/spack/spack.html}